Softload 3.71 over 3.70

Arc/RPCs, peripherals, RISCOS operating system & ARM kit eg GP2x, BeagleBoard
Trapper
Posts: 131
Joined: Tue Apr 21, 2015 11:59 am

Softload 3.71 over 3.70

Postby Trapper » Sun Oct 22, 2017 1:54 am

Don't ask why!

I've been trying to softload 3.71 over 3.70 on my RISC PC. No joy at all.

The softload tool that comes with 4.02 (and JASPPS multi-OS softload) loads the ROMs, then reboots and loads the ROMs again, and reboots ad infinitum.

The later versions from 4.29/4.39 and 5.22 just internal error.

Any reason why it's doing this? I might pull my Ursula softload out and try that.

sirbod
Posts: 742
Joined: Mon Apr 09, 2012 8:44 am
Location: Essex
Contact:

Re: Softload 3.71 over 3.70

Postby sirbod » Sun Oct 22, 2017 8:06 am

Trapper wrote:The softload tool that comes with 4.02 (and JASPPS multi-OS softload) loads the ROMs, then reboots and loads the ROMs again, and reboots ad infinitum.

It will, unless you put an RMEnsure on the front of the softload, that checks the OS version currently running. For example:

Code: Select all

RMEnsure UtilityModule 3.71 softload ...

Trapper
Posts: 131
Joined: Tue Apr 21, 2015 11:59 am

Re: Softload 3.71 over 3.70

Postby Trapper » Sun Oct 22, 2017 7:59 pm

Awesome! Thanking you.

Had to fiddle with *SHareFS under Boot:Choices to add an OS check otherwise !Boot will always load ShareFS+ 3.44 which dies on RISC OS 3.7x.


Return to “hardware”

Who is online

Users browsing this forum: Bing [Bot] and 3 guests